Make STC intent operations use intent IDs

Change-Id: Ib2eb4e66bd0243b2263c737fb074dbf3c34aa7fe
diff --git a/tools/test/bin/onos-create-intent b/tools/test/bin/onos-create-intent
new file mode 100755
index 0000000..6482103
--- /dev/null
+++ b/tools/test/bin/onos-create-intent
@@ -0,0 +1,32 @@
+#!/bin/bash
+#! usage: onos-create-intent target-onos-instance name point deviceId1 deviceId2
+#!        onos-create-intent target-onos-instance name host hostId1 hostId2
+# -----------------------------------------------------------------------------
+# Installs a new intent using the ONOS CLI
+# -----------------------------------------------------------------------------
+
+[ ! -d "$ONOS_ROOT" ] && echo "ONOS_ROOT is not defined" >&2 && exit 1
+. $ONOS_ROOT/tools/build/envDefaults
+
+aux=/tmp/stc-$$.log
+trap "rm -f $aux 2>/dev/null" EXIT
+target=$1
+name=$2
+type=$3
+arg1=$4
+arg2=$5
+
+set -x
+
+onos $target "onos:add-${type}-intent" "${arg1}" "${arg2}" >> $aux
+result=$?
+cat $aux
+
+if [ $result -eq 0 ]; then
+    id=$(cat $aux | sed -e "1d" | sed -e "s/^[a-zA-Z]*{//" | sed -e "s/,.*$//" | sed -e "s/^...//")
+    echo @stc ${name}Id=${id}
+fi
+
+
+exit $result
+